Create network
POST
/networksContract
Parameter | Value |
|---|---|
| Section | networks |
| Authentication | CookieAuth |
| Consumes | application/json |
| Produces | application/json |
Parameters
1 parameter
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| request | body | yes | object | Network to create (optionally with macPolicy and macOverrides) |
{ "createdAt": "<string>", "excludes": [ "<string>" ], "gateway": "<string>", "gatewayMac": "<string>", "gatewayMacId": 0, "gatewayMacMode": "<string>", "id": 0, "ipVersion": "<string>", "issuer": { "agreementAccepted": true, "createdAt": "<string>", "deletedAt": "<string>", "email": "<string>", "group": { "createdAt": "<string>", "deletedAt": "<string>", "id": 0, "issuer": {}, "issuerID": 0, "name": "<string>", "permissions": [ {} ], "updatedAt": "<string>", "users": [ {} ] }, "groupID": 0, "id": 0, "isActive": true, "isRequiredToSetPassword": true, "lastLogin": "<string>", "notificationsReadAt": "<string>", "passwordLength": 0, "realName": "<string>", "updatedAt": "<string>" }, "issuerID": 0, "name": "<string>", "pattern": "<string>", "ports": "<string>", "spoofing": true, "subnet": "<string>", "type": 0, "updatedAt": "<string>" }
Responses
4 responses
Status | Description | Type |
|---|---|---|
200 | Network created | no body |
400 | Invalid gateway, MAC policy, or override record | object |
401 | Unauthorized | object |
500 | Invalid request body or record creation failed | object |
{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }